Package nl.tudelft.simulation.dsol.animation.gis

## Class GisObject

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.gis.GisObject

All Implemented Interfaces:
  `Serializable`

    public class GisObject
    extends Object
    implements Serializable

the GisObject class stores a Point2D or Shape as well as an array of attributes.

Copyright (c) 2020-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Constructor Summary

Constructors
`GisObject​(Object shape, String[] attributes)` constructs a GisObject.

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getAttributes()` returns the attributes of the shape.
`Object` `getShape()` returns the point or shape of the GisObject.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GisObject

    public GisObject​(Object shape,
                     String[] attributes)

constructs a GisObject.

Parameters:
  `shape` - Object; the shape (either a `java.awt.geom.Point2D` or a `java.awt.Shape`
  `attributes` - String[]; attributes for this point or shape

### Method Detail

#### getShape

    public Object getShape()

returns the point or shape of the GisObject.

Returns:
  Object the stored shape

#### getAttributes

    public String[] getAttributes()

returns the attributes of the shape.

Returns:
  String[]; the array of Strings representing the attributes of the GisObject